## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExpression::InvalidArgumentCountException Class Reference

Exception class thrown when an invalid number of XPath arguments is encountered. More...

`#include <XPathExpression.hpp>`

Inheritance diagram for XPathExpression::InvalidArgumentCountException

Collaboration diagram for XPathExpression::InvalidArgumentCountException:

List of all members.

## Public Methods

- InvalidArgumentCountException ( int theOpCode, int theExpectedCount, int theSuppliedCount)
    Construct an InvalidArgumentCountException object. More...
- virtual ~InvalidArgumentCountException ()

## Detailed Description

Exception class thrown when an invalid number of XPath arguments is encountered.

## Constructor & Destructor Documentation

XPathExpression::InvalidArgumentCountException::InvalidArgumentCountException ( | int theOpCode,
| int theExpectedCount,
| int theSuppliedCount )

Construct an InvalidArgumentCountException object.

Parameters:

  theOpCode | operation code that caused the exception
  theExpectedCount | the correct number of arguments for "opcode"
  theSuppliedCount | the number of arguments supplied

virtual XPathExpression::InvalidArgumentCountException::~InvalidArgumentCountException ( | )

The documentation for this class was generated from the following file:

- XPathExpression.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.